#if defined(TANA)

#ifndef _SAMURAIAABEAMSIMDATACONVERTER_HH_
#define _SAMURAIAABEAMSIMDATACONVERTER_HH_

#include "TObject.h"
#include "SimDataConverter.hh"

class TString;
class TTree;
class TClonesArray;
class TFragSimParameter;

class SAMURAIAABeamSimDataConverter : public SimDataConverter
{
public:
  SAMURAIAABeamSimDataConverter(TString name="SAMURAIAABeamSimDataConverter");
  ~SAMURAIAABeamSimDataConverter();

  int Initialize();
  int DefineBranch(TTree *tree);
  int ConvertSimData();
  int ClearBuffer();

private:
  TFragSimParameter *fFragParameter;

  UInt_t fEventID;
  TClonesArray* fBeamInfoArray;
  Double_t fTGTX;
  Double_t fTGTY;
  Double_t fTGTZ;
  Double_t fTGTA;
  Double_t fTGTB;
  Double_t fBeamZ;
  Double_t fBeamAoZ;

};
#endif

#endif
